# $Revision: 1.21 $, $Date: 2009/02/13 13:24:14 $
Summary:	A user-friendly database environment
Summary(pl.UTF-8):	Przyjazne użytkownikowi środowisko bazodanowe
Name:		glom
Version:	1.8.6
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glom/1.8/%{name}-%{version}.tar.bz2
# Source0-md5:	36599a6909e40afb5bcf4c414a70c49b
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-postgres-utils.patch
URL:		http://www.glom.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	avahi-glib-devel
BuildRequires:	bakery-devel >= 2.6.0
BuildRequires:	gettext-devel
BuildRequires:	gnome-doc-utils >= 0.10.0
BuildRequires:	goocanvasmm-devel >= 0.13.0
BuildRequires:	gtkmm-devel >= 2.10.5
BuildRequires:	gtksourceviewmm2-devel
BuildRequires:	intltool >= 0.36.0
BuildRequires:	iso-codes
BuildRequires:	libepc-devel >= 0.3.1
BuildRequires:	libgdamm3-devel
BuildRequires:	libtool
BuildRequires:	libxslt-devel >= 1.1.17
BuildRequires:	pkgconfig
BuildRequires:	python-gnome-extras-gda-devel >= 2.19.1
BuildRequires:	python-pygtk-devel >= 2:2.12.0
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires(post,postun):	shared-mime-info
Requires:	libgda3-provider-postgres
Requires:	python-gnome-extras-gda >= 2.19.1
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Glom is an easy-to-use database designer and user interface.

%description -l pl.UTF-8
Glom jest łatwym w użyciu programem do projektowania baz danych oraz
interfejsem użytkownika.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gnome_doc_prepare}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I macros
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static \
	--disable-update-mime-database \
	--disable-scrollkeeper \
	--with-postgres-utils=%{_bindir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.la
rm -rf $RPM_BUILD_ROOT%{_datadir}/mime-info

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_desktop_database_post
%update_mime_database
%update_icon_cache hicolor
%scrollkeeper_update_post

%postun
/sbin/ldconfig
%update_desktop_database_postun
%update_mime_database
%update_icon_cache hicolor
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/glom
%attr(755,root,root) %{_libdir}/libglom.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libglom.so.0
%attr(755,root,root) %{py_sitedir}/glom.so
%{_datadir}/%{name}
%{_datadir}/mime/packages/glom.xml
%{_desktopdir}/glom.desktop
%{_iconsdir}/hicolor/*/apps/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glom.spec,v $
Revision 1.21  2009/02/13 13:24:14  megabajt
- updated to 1.8.6

Revision 1.20  2008/10/20 18:39:05  megabajt
- updated to 1.6.17

Revision 1.19  2008/10/20 17:18:31  arekm
- release 4

Revision 1.18  2008/10/14 06:41:57  arekm
- release 3

Revision 1.17  2008/10/03 17:43:58  arekm
- release 2

Revision 1.16  2008-04-07 14:24:20  megabajt
- updated Source0 md5

Revision 1.15  2008-04-07 14:14:55  megabajt
- updated to 1.6.13
- added -postgres-utils.patch
- removed -python25-64bit.patch

Revision 1.14  2008-04-02 15:14:23  patrys
- 1.6.12

Revision 1.13  2007-10-21 01:20:57  wolvverine
- up to 1.6.2, TODO:python25-64bit.patch

Revision 1.12  2007/06/14 18:19:24  arekm
- rel 3

Revision 1.11  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.9  2006/12/22 14:15:56  megabajt
- release 2

Revision 1.8  2006/12/21 22:25:45  megabajt
- added python25-64bit patch

Revision 1.7  2006/12/21 19:01:59  megabajt
- updated to 1.2.2
- removed buildfix patch (applied upstream)

Revision 1.6  2006/11/30 15:09:28  megabajt
- up md5

Revision 1.5  2006/11/30 15:07:31  megabajt
- updated to 1.2.1
- added buildfix patch

Revision 1.4  2006/10/23 16:00:09  grzegol
- 1.2.0

Revision 1.3  2006/09/11 19:44:06  grzegol
- updated to 1.0.5
- removed outdated mime_update patch (applied upstream)

Revision 1.2  2006/08/18 20:53:02  freetz
- make mime database updating configurable (patch), updated deps, rel.2

Revision 1.1  2006/08/06 21:14:03  freetz
- new
